Loading...
Searching...
No Matches
ranges::insert_iterator< Container > Struct Template Reference
Iterator

## Public Types

using | container_type = Container
using | difference_type = std::ptrdiff_t

## Public Member Functions

constexpr | insert_iterator (Container &x, typename Container::iterator w)
insert_iterator & | operator* ()
insert_iterator & | operator++ ()
insert_iterator & | operator++ (int)
insert_iterator & | operator= (typename Container::value_type &&value)
insert_iterator & | operator= (typename Container::value_type const &value)